## GtkSourceTag GtkSourceTag — A tag that can be applied to text in a GtkSourceBuffer |

## Functions

GtkTextTag * | gtk_source_tag_new ()

## Properties

gboolean | draw-spaces | Read / Write
gboolean | draw-spaces-set | Read / Write

## Types and Values

| GtkSourceTag

## Object Hierarchy

        GObject
        ╰── GtkTextTag
            ╰── GtkSourceTag

## Includes

    #include <gtksourceview/gtksource.h>

## Description

GtkSourceTag is a subclass of GtkTextTag that adds properties useful for the GtkSourceView library.

If, for a certain tag, GtkTextTag is sufficient, it's better that you create a GtkTextTag, not a GtkSourceTag.

## Functions

### gtk_source_tag_new ()

    GtkTextTag *
    gtk_source_tag_new (const gchar *name);

Creates a GtkSourceTag. Configure the tag using object arguments, i.e. using `g_object_set()`.

For usual cases, `gtk_source_buffer_create_source_tag()` is more convenient to use.

#### Parameters

name | tag name, or `NULL`. | [nullable]

#### Returns

a new GtkSourceTag.

Since: 3.20

## Types and Values

### GtkSourceTag

    typedef struct _GtkSourceTag GtkSourceTag;

## Property Details

### The `“draw-spaces”` property

      “draw-spaces”              gboolean

Whether to draw white spaces. This property takes precedence over the value defined by the GtkSourceSpaceDrawer's “matrix” property (only where the tag is applied).

Setting this property also changes “draw-spaces-set” to `TRUE`.

Owner: GtkSourceTag

Flags: Read / Write

Default value: FALSE

Since: 3.20

### The `“draw-spaces-set”` property

      “draw-spaces-set”          gboolean

Whether the “draw-spaces” property is set and must be taken into account.

Owner: GtkSourceTag

Flags: Read / Write

Default value: FALSE

Since: 3.20

## See Also

GtkSourceBuffer